Bug 1346643 - Dependency missing in non-x86_64 client tools repos: qpid-dispatch-tools
Summary: Dependency missing in non-x86_64 client tools repos: qpid-dispatch-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 06:56 UTC by Lukas Zapletal
Modified: 2019-09-26 14:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:29:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2016-06-15 06:56:48 UTC
Several non-x86-64 repositories are missing this dependency which makes katello-agent, puppet or goferd uninstallable. These are affected composes:

$ grep qpid-dispatch-tools latest-SatTools-6.2-RHEL-*/logs/*/repoclosure-Server.*.log
latest-SatTools-6.2-RHEL-6/logs/ppc64/repoclosure-Server.ppc64.log:     qpid-dispatch-tools
latest-SatTools-6.2-RHEL-6/logs/s390x/repoclosure-Server.s390x.log:     qpid-dispatch-tools
latest-SatTools-6.2-RHEL-7/logs/aarch64/repoclosure-Server.aarch64.log:     qpid-dispatch-tools
latest-SatTools-6.2-RHEL-7/logs/ppc64le/repoclosure-Server.ppc64le.log:     qpid-dispatch-tools
latest-SatTools-6.2-RHEL-7/logs/ppc64/repoclosure-Server.ppc64.log:     qpid-dispatch-tools
latest-SatTools-6.2-RHEL-7/logs/s390x/repoclosure-Server.s390x.log:     qpid-dispatch-tools

Comment 4 Lukas Zapletal 2016-06-20 12:56:01 UTC
This one is low priority, because satellite-debug-tools-6.2.0 package needs it and it is not the agent or puppet.

Comment 6 Corey Welton 2016-06-27 21:21:07 UTC
Verified against SNAP 17 repo trees.

The qpid-dispatch-tools package only exists in Capsule and Satellite repos.  It does not exist in the tools repos, including those for s390x and ppc64

Comment 7 Bryan Kearney 2016-07-27 11:29:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.